### Method

# Gtk Builderexpose_object

#### Declaration [src]

    void
    gtk_builder_expose_object (
      GtkBuilder* builder,
      const char* name,
      GObject* object
    )

#### Description [src]

Add `object` to the `builder` object pool so it can be referenced just like any other object built by builder.

Only a single object may be added using `name`. However, it is not an error to expose the same object under multiple names. `gtk_builder_get_object()` may be used to determine if an object has already been added with `name`.

#### Parameters

`name`

  Type: `const char*`

  The name of the object exposed to the builder.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`object`

  Type: `GObject`

  The object to expose.

  The data is owned by the caller of the method.